Highlighted

Firefox v68.2(ESR) & SeaMonkey v2.49.5 fail 2 C Flash Player v32 b293 plugin in Debian v8 (Jessie).

Contributor ,
Nov 13, 2019

Copy link to clipboard

Copied

I had to reuse the last month's old v32 b270 to get my Flash plugins working again. 😞 Is anyone else seeing this issue too?

 

Thank you for reading and hopefully answering soon. 🙂

Topics

Browser, Product issue, Update

Views

316

Likes

Translate

Translate

Report

Report
This conversation has been locked.

Firefox v68.2(ESR) & SeaMonkey v2.49.5 fail 2 C Flash Player v32 b293 plugin in Debian v8 (Jessie).

Contributor ,
Nov 13, 2019

Copy link to clipboard

Copied

I had to reuse the last month's old v32 b270 to get my Flash plugins working again. 😞 Is anyone else seeing this issue too?

 

Thank you for reading and hopefully answering soon. 🙂

Topics

Browser, Product issue, Update

Views

317

Likes

Translate

Translate

Report

Report
Community Beginner ,
Nov 14, 2019

Copy link to clipboard

Copied

I am not an expert on Debian, but it might be that your libraries are too old. Please check with 

ldd libflashplayer.so

if there are any errors.

Likes

Translate

Translate

Report

Report
Contributor ,
Nov 14, 2019

Copy link to clipboard

Copied

32$ ldd libflashplayer.so
linux-gate.so.1 (0xf77bb000)
libGL.so.1 => /usr/lib/i386-linux-gnu/libGL.so.1 (0xf6714000)
libdl.so.2 => /lib/i386-linux-gnu/libdl.so.2 (0xf670f000)
libpthread.so.0 => /lib/i386-linux-gnu/libpthread.so.0 (0xf66f3000)
librt.so.1 => /lib/i386-linux-gnu/librt.so.1 (0xf66ea000)
libX11.so.6 => /usr/lib/i386-linux-gnu/libX11.so.6 (0xf6598000)
libXt.so.6 => /usr/lib/i386-linux-gnu/libXt.so.6 (0xf6531000)
libnss3.so => not found
libsmime3.so => not found
libssl3.so => not found
libnspr4.so => /usr/lib/i386-linux-gnu/libnspr4.so (0xf64eb000)
libgtk-x11-2.0.so.0 => not found
libgdk-x11-2.0.so.0 => not found
libgdk_pixbuf-2.0.so.0 => not found
libpango-1.0.so.0 => not found
libfontconfig.so.1 => /usr/lib/i386-linux-gnu/libfontconfig.so.1 (0xf64a7000)
libgobject-2.0.so.0 => /usr/lib/i386-linux-gnu/libgobject-2.0.so.0 (0xf6449000)
libglib-2.0.so.0 => /lib/i386-linux-gnu/libglib-2.0.so.0 (0xf6321000)
libfreetype.so.6 => /usr/lib/i386-linux-gnu/libfreetype.so.6 (0xf626e000)
libstdc++.so.6 => /usr/lib/i386-linux-gnu/libstdc++.so.6 (0xf617c000)
libm.so.6 => /lib/i386-linux-gnu/libm.so.6 (0xf6137000)
libgcc_s.so.1 => /lib/i386-linux-gnu/libgcc_s.so.1 (0xf611a000)
libc.so.6 => /lib/i386-linux-gnu/libc.so.6 (0xf5fa6000)
libnvidia-tls.so.340.106 => /usr/lib/i386-linux-gnu/libnvidia-tls.so.340.106 (0xf5fa0000)
libnvidia-glcore.so.340.106 => /usr/lib/i386-linux-gnu/libnvidia-glcore.so.340.106 (0xf3a0c000)
libXext.so.6 => /usr/lib/i386-linux-gnu/libXext.so.6 (0xf39f7000)
/lib/ld-linux.so.2 (0xf77bc000)
libxcb.so.1 => /usr/lib/i386-linux-gnu/libxcb.so.1 (0xf39d1000)
libSM.so.6 => /usr/lib/i386-linux-gnu/libSM.so.6 (0xf39c7000)
libICE.so.6 => /usr/lib/i386-linux-gnu/libICE.so.6 (0xf39a9000)
libexpat.so.1 => /lib/i386-linux-gnu/libexpat.so.1 (0xf3980000)
libffi.so.6 => /usr/lib/i386-linux-gnu/libffi.so.6 (0xf3978000)
libpcre.so.3 => /lib/i386-linux-gnu/libpcre.so.3 (0xf3905000)
libz.so.1 => /lib/i386-linux-gnu/libz.so.1 (0xf38e8000)
libpng12.so.0 => /lib/i386-linux-gnu/libpng12.so.0 (0xf38ba000)
libXau.so.6 => /usr/lib/i386-linux-gnu/libXau.so.6 (0xf38b6000)
libXdmcp.so.6 => /usr/lib/i386-linux-gnu/libXdmcp.so.6 (0xf38b0000)
libuuid.so.1 => /lib/i386-linux-gnu/libuuid.so.1 (0xf38aa000)

 

64$ ldd libflashplayer.so
linux-vdso.so.1 (0x00007ffd085aa000)
libGL.so.1 => /usr/lib/x86_64-linux-gnu/libGL.so.1 (0x00007f9908a2b000)
libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f9908827000)
libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f990860a000)
librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007f9908402000)
libX11.so.6 => /usr/lib/x86_64-linux-gnu/libX11.so.6 (0x00007f99080bf000)
libXt.so.6 => /usr/lib/x86_64-linux-gnu/libXt.so.6 (0x00007f9907e56000)
libnss3.so => /usr/lib/x86_64-linux-gnu/libnss3.so (0x00007f9907b0b000)
libsmime3.so => /usr/lib/x86_64-linux-gnu/libsmime3.so (0x00007f99078dd000)
libssl3.so => /usr/lib/x86_64-linux-gnu/libssl3.so (0x00007f9907685000)
libnspr4.so => /usr/lib/x86_64-linux-gnu/libnspr4.so (0x00007f9907445000)
libgtk-x11-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0 (0x00007f9906df9000)
libgdk-x11-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0 (0x00007f9906b43000)
libgdk_pixbuf-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgdk_pixbuf-2.0.so.0 (0x00007f9906921000)
libpango-1.0.so.0 => /usr/lib/x86_64-linux-gnu/libpango-1.0.so.0 (0x00007f99066d3000)
libfontconfig.so.1 => /usr/lib/x86_64-linux-gnu/libfontconfig.so.1 (0x00007f9906496000)
libgobject-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0 (0x00007f9906243000)
libglib-2.0.so.0 => /lib/x86_64-linux-gnu/libglib-2.0.so.0 (0x00007f9905f34000)
libfreetype.so.6 => /usr/lib/x86_64-linux-gnu/libfreetype.so.6 (0x00007f9905c8a000)
libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007f990597f000)
libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f990567e000)
libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f99052d3000)
libnvidia-tls.so.340.106 => /usr/lib/x86_64-linux-gnu/libnvidia-tls.so.340.106 (0x00007f99050d0000)
libnvidia-glcore.so.340.106 => /usr/lib/x86_64-linux-gnu/libnvidia-glcore.so.340.106 (0x00007f99024bc000)
libXext.so.6 => /usr/lib/x86_64-linux-gnu/libXext.so.6 (0x00007f99022aa000)
/lib64/ld-linux-x86-64.so.2 (0x00007f990a05f000)
libxcb.so.1 => /usr/lib/x86_64-linux-gnu/libxcb.so.1 (0x00007f9902088000)
libSM.so.6 => /usr/lib/x86_64-linux-gnu/libSM.so.6 (0x00007f9901e80000)
libICE.so.6 => /usr/lib/x86_64-linux-gnu/libICE.so.6 (0x00007f9901c63000)
libnssutil3.so => /usr/lib/x86_64-linux-gnu/libnssutil3.so (0x00007f9901a35000)
libplc4.so => /usr/lib/x86_64-linux-gnu/libplc4.so (0x00007f9901830000)
libplds4.so => /usr/lib/x86_64-linux-gnu/libplds4.so (0x00007f990162c000)
libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007f9901411000)
libgmodule-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgmodule-2.0.so.0 (0x00007f990120d000)
libpangocairo-1.0.so.0 => /usr/lib/x86_64-linux-gnu/libpangocairo-1.0.so.0 (0x00007f9901000000)
libXcomposite.so.1 => /usr/lib/x86_64-linux-gnu/libXcomposite.so.1 (0x00007f9900dfd000)
libXdamage.so.1 => /usr/lib/x86_64-linux-gnu/libXdamage.so.1 (0x00007f9900bfa000)
libXfixes.so.3 => /usr/lib/x86_64-linux-gnu/libXfixes.so.3 (0x00007f99009f4000)
libatk-1.0.so.0 => /usr/lib/x86_64-linux-gnu/libatk-1.0.so.0 (0x00007f99007cd000)
libcairo.so.2 => /usr/lib/x86_64-linux-gnu/libcairo.so.2 (0x00007f99004b7000)
libgio-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0 (0x00007f990013d000)
libpangoft2-1.0.so.0 => /usr/lib/x86_64-linux-gnu/libpangoft2-1.0.so.0 (0x00007f98fff27000)
libXrender.so.1 => /usr/lib/x86_64-linux-gnu/libXrender.so.1 (0x00007f98ffd1d000)
libXinerama.so.1 => /usr/lib/x86_64-linux-gnu/libXinerama.so.1 (0x00007f98ffb1a000)
libXi.so.6 => /usr/lib/x86_64-linux-gnu/libXi.so.6 (0x00007f98ff909000)
libXrandr.so.2 => /usr/lib/x86_64-linux-gnu/libXrandr.so.2 (0x00007f98ff6ff000)
libXcursor.so.1 => /usr/lib/x86_64-linux-gnu/libXcursor.so.1 (0x00007f98ff4f4000)
libpng12.so.0 => /lib/x86_64-linux-gnu/libpng12.so.0 (0x00007f98ff2cd000)
libgthread-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgthread-2.0.so.0 (0x00007f98ff0cb000)
libthai.so.0 => /usr/lib/x86_64-linux-gnu/libthai.so.0 (0x00007f98feec2000)
libexpat.so.1 => /lib/x86_64-linux-gnu/libexpat.so.1 (0x00007f98fec99000)
libffi.so.6 => /usr/lib/x86_64-linux-gnu/libffi.so.6 (0x00007f98fea90000)
libpcre.so.3 => /lib/x86_64-linux-gnu/libpcre.so.3 (0x00007f98fe822000)
libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007f98fe60c000)
libXau.so.6 => /usr/lib/x86_64-linux-gnu/libXau.so.6 (0x00007f98fe408000)
libXdmcp.so.6 => /usr/lib/x86_64-linux-gnu/libXdmcp.so.6 (0x00007f98fe203000)
libuuid.so.1 => /lib/x86_64-linux-gnu/libuuid.so.1 (0x00007f98fdffe000)
libpixman-1.so.0 => /usr/lib/x86_64-linux-gnu/libpixman-1.so.0 (0x00007f98fdd50000)
libxcb-shm.so.0 => /usr/lib/x86_64-linux-gnu/libxcb-shm.so.0 (0x00007f98fdb4c000)
libxcb-render.so.0 => /usr/lib/x86_64-linux-gnu/libxcb-render.so.0 (0x00007f98fd942000)
libselinux.so.1 => /lib/x86_64-linux-gnu/libselinux.so.1 (0x00007f98fd71d000)
libresolv.so.2 => /lib/x86_64-linux-gnu/libresolv.so.2 (0x00007f98fd506000)
libharfbuzz.so.0 => /usr/lib/x86_64-linux-gnu/libharfbuzz.so.0 (0x00007f98fd2af000)
libdatrie.so.1 => /usr/lib/x86_64-linux-gnu/libdatrie.so.1 (0x00007f98fd0a7000)
libgraphite2.so.3 => /usr/lib/x86_64-linux-gnu/libgraphite2.so.3 (0x00007f98fce78000)

 

I hope those help!

Likes

Translate

Translate

Report

Report
Most Valuable Participant ,
Nov 14, 2019

Copy link to clipboard

Copied

Probably not this, but MAYBE it's planned obsolescense. I don't know if 70.0.1 is a preview for a 2020 release? In https://developer.mozilla.org/en-US/docs/Plugins/Roadmap it says "In early 2020, Flash support will be completely removed from consumer versions of Firefox." and that's pretty soon.

Likes

Translate

Translate

Report

Report
Contributor ,
Nov 14, 2019

Copy link to clipboard

Copied

Test_Screen_Name: It happens in old SeaMonkey (based on Firefox v52's Gecko) too. My bad. I meant to say Firefox v68.2.0 ESR, not v70.0.1. Too many computers and web browsers! 😞

Likes

Translate

Translate

Report

Report
Advisor ,
Nov 14, 2019

Copy link to clipboard

Copied

Maybe it's a 32/64 bits story?

I'm not sure Debian is supporting 32bits anymore.

Likes

Translate

Translate

Report

Report
Community Beginner ,
Nov 14, 2019

Copy link to clipboard

Copied

No, AntD00d is using Debian Jessie, that is an old release that supports 32 bit applications.

Likes

Translate

Translate

Report

Report
Community Beginner ,
Nov 22, 2019

Copy link to clipboard

Copied

Here's a me too, running Oracle Linux 7 (hence quite a different distro than Debian).

I have substantial proof that 32.0.0.293 has broken Firefox ESR detection, not only at 68.2 but starting as far back as 60.1; have a read at my post on the Mozilla forums (since I thought it was a FF issue at first) here https://support.mozilla.org/en-US/questions/1272934 , the details are in my last update today.

Can we please have a fixed plugin soon, please? Thanks in advance.

Likes

Translate

Translate

Report

Report
Community Beginner ,
Nov 22, 2019

Copy link to clipboard

Copied

Obviously after posting all of my research I stumble in the actual bug already being logged... https://tracker.adobe.com/#/view/FP-4199058 

Likes

Translate

Translate

Report

Report
Contributor ,
Nov 22, 2019

Copy link to clipboard

Copied

Thank you for posting and sharing, incident41. I'm glad I am not alone. For now, I will keep using the last working version. 🙂

Likes

Translate

Translate

Report

Report
Contributor ,
Dec 10, 2019

Copy link to clipboard

Copied

FYI. B303 is out now and still not fixed. Your bug report still shows under review. How can we escalate this? 😞

Likes

Translate

Translate

Report

Report
Adobe Employee ,
Dec 11, 2019

Copy link to clipboard

Copied

For security reasons, Flash Player for Linux has been compiled with updated library dependencies. Please refer to the bottom of https://helpx.adobe.com/flash-player/release-note/readme-flash-player-linux.html for a list of library dependencies. To continue using Flash Player on Linux requires updating to a distro that supports these libraries.

Likes

Translate

Translate

Report

Report